import { PayloadAction } from '@reduxjs/toolkit';
import { AuthAttributes, AuthRootState, ModifyAuthAttributePayload } from './types';
export declare const deleteAuthAttributes: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"auth/deleteAuthAttributes">;
export declare const setAuthAttributes: <T>(attrs: AuthAttributes<T>) => {
    payload: AuthAttributes<T>;
    type: string;
};
export declare const updateAuthAttribute: <T>(key: "accessToken" | "authenticated" | "refreshToken" | keyof T, value: unknown) => {
    payload: ModifyAuthAttributePayload<T>;
    type: string;
};
export declare const getAuthAttributes: <T>(state: AuthRootState<T>) => AuthAttributes<T>;
declare const _default: import("@reduxjs/toolkit").Reducer<AuthAttributes<import("./types").KeycloakTokenPayload>, import("@reduxjs/toolkit").AnyAction>;
export default _default;
